
Foreman - Bug #4424

Strikeout of Puppet Class Properties when Overriding on Node not working

02/24/2014 05:18 PM - Stephen Herd

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Web Interface   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2072

  

Description

Since 1.4, it appears that when you override a Puppet Class Property, the original value doesn't get struck out anymore.  This makes

it difficult to tell what values have and have not been overridden at a quick glance when looking at a node.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Related to Foreman - Bug #4623: Override button for Puppet class parameter ca... New 03/10/2014

Related to Foreman - Bug #8786: Override button is gone and won't be back Closed 12/23/2014

Has duplicate Foreman - Bug #9268: overridable parameters continue to show up... Duplicate 02/06/2015

Associated revisions

Revision 0575b5b0 - 03/19/2015 05:30 AM - Tom Caspy

fixes #4424 - overriden attributes get overridden in the UI

Revision b3424682 - 03/26/2015 08:25 AM - Tom Caspy

fixes #4424 - overriden attributes get overridden in the UI

(cherry picked from commit 0575b5b0a07c59c443bf2be663cb67d6a5e40f19)

History

#1 - 02/24/2014 05:19 PM - Dominic Cleal

- Category set to Web Interface

- Priority changed from High to Normal

- translation missing: en.field_release deleted (5)

#2 - 03/04/2014 10:04 AM - Dominic Cleal

- Related to Tracker #4470: Usability of parameters and overrides added

#3 - 03/04/2014 10:14 AM - Magnus Jernberg

Also, since the parameter doesn't get struck out it is overridable numerous times.

#4 - 03/11/2014 08:22 AM - Dominic Cleal

- Related to Bug #4623: Override button for Puppet class parameter can be clicked more than once added

#5 - 06/09/2014 06:42 PM - Dominic Cleal

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1106944

#6 - 01/02/2015 05:02 AM - Dominic Cleal

- Related to Bug #8786: Override button is gone and won't be back added

05/17/2024 1/2



#7 - 01/12/2015 07:48 AM - Tom Caspy

- Assignee set to Tom Caspy

#8 - 01/12/2015 08:36 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2072 added

- Pull request deleted ()

#9 - 02/09/2015 03:50 AM - Dominic Cleal

- Has duplicate Bug #9268: overridable parameters continue to show up after being overridden added

#10 - 03/19/2015 06:01 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0575b5b0a07c59c443bf2be663cb67d6a5e40f19.

#11 - 03/19/2015 06:04 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#12 - 09/01/2015 04:34 AM - Tom Caspy

- Bugzilla link deleted (1106944)
